---
layout: home
title: "Home"
section: "home"
position: 1
---

EvilPlot is a combinator-based data visualization library written in Scala.
Its main objective is to enable composed, principled, and infinitely customizable data visualization without the need
to cross from Scala into languages like R or Python.
EvilPlot offers a handful of ways to create simple plots, along with several combinators for making more complicated
plots out of those simpler ones.
Everything is backed by a high-level two-dimensional drawing API, which makes it easy to invent new components for your
plots from scratch.

Check out our [documentation](/evilplot/getting-started.html), where you can learn just how easy and awesome it is
to get going with EvilPlot.
Alternatively, skip straight to the [Plot Catalog](/evilplot/plot-catalog.html) for some examples of what
EvilPlot can do, along with code.
You can also take a look at the complete [API documentation](/evilplot/scaladoc/jvm/com/cibo/evilplot/index.html)
or the source on [GitHub](https://www.github.com/cibotech/evilplot).

Have a question, or want to get involved? Feel free to file an issue or open a pull request.
